Upstream information

CVE-2021-27097 at MITRE

Description

The boot loader in Das U-Boot before 2021.04-rc2 mishandles a modified FIT.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 4.2
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:L/I:L/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required None High
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1182480 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 u-boot Not affected
SUSE Enterprise Storage 6 u-boot Not affected
SUSE Enterprise Storage 6 u-boot-rpi3 Not affected
SUSE Linux Enterprise Desktop 15 SP2 u-boot Not affected
SUSE Linux Enterprise Desktop 15 SP3 u-boot Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 u-boot Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 u-boot-rpi3 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS u-boot Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS u-boot-rpi3 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS u-boot Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS u-boot-rpi3 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS u-boot Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS u-boot-rpi3 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 u-boot Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 u-boot Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 u-boot Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 u-boot Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS u-boot Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS u-boot Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS u-boot Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS u-boot Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 12 SP5 u-boot Not affected
SUSE Linux Enterprise Server 12 SP5 u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 15 ESPOS u-boot Not affected
SUSE Linux Enterprise Server 15 ESPOS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 15 LTSS u-boot Not affected
SUSE Linux Enterprise Server 15 LTSS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS u-boot Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS u-boot-rpi3 Not affected
SUSE Linux Enterprise Server 15 SP2 u-boot Not affected
SUSE Linux Enterprise Server 15 SP3 u-boot Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 u-boot Not affected
SUSE Linux Enterprise Server for SAP Applications 15 u-boot Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 u-boot Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 u-boot Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 u-boot Not affected
SUSE Linux Enterprise Storage 7 u-boot Not affected
SUSE Linux Enterprise Storage 7.1 u-boot Not affected
SUSE Manager Proxy 4.0 u-boot Not affected
SUSE Manager Proxy 4.1 u-boot Not affected
SUSE Manager Proxy 4.2 u-boot Not affected
SUSE Manager Retail Branch Server 4.0 u-boot Not affected
SUSE Manager Retail Branch Server 4.1 u-boot Not affected
SUSE Manager Retail Branch Server 4.2 u-boot Not affected
SUSE Manager Server 4.0 u-boot Not affected
SUSE Manager Server 4.1 u-boot Not affected
SUSE Manager Server 4.2 u-boot Not affected